Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.PEP.Scale

class slepc4py.SLEPc.PEP.Scale

  Bases: `object`

  PEP scaling strategy.

  - `NONE`: No scaling.

  - `SCALAR`: Parameter scaling.

  - `DIAGONAL`: Diagonal scaling.

  - `BOTH`: Both parameter and diagonal scaling.

  See also

  `PEPScale`

  Attributes Summary

  `BOTH` | Constant `BOTH` of type `int`
  `DIAGONAL` | Constant `DIAGONAL` of type `int`
  `NONE` | Constant `NONE` of type `int`
  `SCALAR` | Constant `SCALAR` of type `int`

  Attributes Documentation

  BOTH: int = BOTH

    Constant `BOTH` of type `int`

  DIAGONAL: int = DIAGONAL

    Constant `DIAGONAL` of type `int`

  NONE: int = NONE

    Constant `NONE` of type `int`

  SCALAR: int = SCALAR

    Constant `SCALAR` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)